package be.msyben.vinylManager.tools.internalEntities;

import be.msyben.vinylManager.properties.Language;

/**
 * Cette classe représente l'objet indiqué dans la combobox de choix pour la compilation.
 * @author Mathieu Syben
 */
public class CompilationMode {

    /**
     * L'id qui est utilisé (pour prefs.compilation.ID)
     */
    private int id;


    /**
     * Constructeur privé.
     */
    private CompilationMode(){}

    public CompilationMode(int id){
        this.id = id;
    }

    /**
     * Getter pour id
     * @return id
     */
    public int getId() {
        return id;
    }

    @Override
    public String toString(){
        return Language.getInstance().get("prefs.compilation."+getId());
    }

    @Override
    public boolean equals(Object o){
        if (o instanceof CompilationMode) {
            CompilationMode cm = (CompilationMode) o;
            return cm.getId() == this.getId();
        } else {
            return false;
        }
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 53 * hash + this.id;
        return hash;
    }



}
